# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_HDataMapOfStringReal Class Reference

Extension of TDataStd_DataMapOfStringReal class
to be manipulated by handle.
.

`#include <TDataStd_HDataMapOfStringReal.hxx>`

## Public Member Functions

Standard_EXPORT | TDataStd_HDataMapOfStringReal (const Standard_Integer NbBuckets=1)
Standard_EXPORT | TDataStd_HDataMapOfStringReal (const TDataStd_DataMapOfStringReal &theOther)
const TDataStd_DataMapOfStringReal & | Map () const
TDataStd_DataMapOfStringReal & | ChangeMap ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TDataStd_DataMapOfStringReal | myMap

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_HDataMapOfStringReal::TDataStd_HDataMapOfStringReal | ( | const Standard_Integer | NbBuckets = `1` | ) |

Standard_EXPORT TDataStd_HDataMapOfStringReal::TDataStd_HDataMapOfStringReal | ( | const TDataStd_DataMapOfStringReal & | theOther | ) |

## Member Function Documentation

TDataStd_DataMapOfStringReal & TDataStd_HDataMapOfStringReal::ChangeMap | ( |  | ) | `[inline]`

Standard_EXPORT const TDataStd_HDataMapOfStringReal::Handle | ( | Standard_Type |  | ) | const

const TDataStd_DataMapOfStringReal & TDataStd_HDataMapOfStringReal::Map | ( |  | ) | const`[inline]`

## Field Documentation

TDataStd_DataMapOfStringReal TDataStd_HDataMapOfStringReal::myMap `[private]`

The documentation for this class was generated from the following files:

- TDataStd_HDataMapOfStringReal.hxx
- TDataStd_HDataMapOfStringReal.lxx